package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/2/18
 */
public class PracticeGroupSellPrice {

    private Integer organId;

    private BigDecimal onceOriginalPrice;

    private BigDecimal onceActivityPrice;

    private BigDecimal onceQuartActivityPrice;

    private BigDecimal twiceOriginalPrice;

    private BigDecimal twiceActivityPrice;

    private BigDecimal twiceQuartActivityPrice;

    private BigDecimal vipOneStudentTwelveCourseOriginalPriceWithNewUser;

    private BigDecimal vipOneStudentTwelveCourseActivityPriceWithNewUser;

    private BigDecimal vipOneStudentTwelveCourseOriginalPriceWithOldUser;

    private BigDecimal vipOneStudentTwelveCourseActivityPriceWithOldUser;

    private BigDecimal highOnlineTenCourseOriginalPriceWithNewUser;

    private BigDecimal highOnlineTenCourseActivityPriceWithNewUser;

    private BigDecimal highOnlineTenCourseOriginalPriceWithOldUser;

    private BigDecimal highOnlineTenCourseActivityPriceWithOldUser;

    private Date createTime;

    private Date updateTime;

    public BigDecimal getOnceQuartActivityPrice() {
        return onceQuartActivityPrice;
    }

    public void setOnceQuartActivityPrice(BigDecimal onceQuartActivityPrice) {
        this.onceQuartActivityPrice = onceQuartActivityPrice;
    }

    public BigDecimal getTwiceQuartActivityPrice() {
        return twiceQuartActivityPrice;
    }

    public void setTwiceQuartActivityPrice(BigDecimal twiceQuartActivityPrice) {
        this.twiceQuartActivityPrice = twiceQuartActivityPrice;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public BigDecimal getOnceOriginalPrice() {
        return onceOriginalPrice;
    }

    public void setOnceOriginalPrice(BigDecimal onceOriginalPrice) {
        this.onceOriginalPrice = onceOriginalPrice;
    }

    public BigDecimal getOnceActivityPrice() {
        return onceActivityPrice;
    }

    public void setOnceActivityPrice(BigDecimal onceActivityPrice) {
        this.onceActivityPrice = onceActivityPrice;
    }

    public BigDecimal getTwiceOriginalPrice() {
        return twiceOriginalPrice;
    }

    public void setTwiceOriginalPrice(BigDecimal twiceOriginalPrice) {
        this.twiceOriginalPrice = twiceOriginalPrice;
    }

    public BigDecimal getTwiceActivityPrice() {
        return twiceActivityPrice;
    }

    public void setTwiceActivityPrice(BigDecimal twiceActivityPrice) {
        this.twiceActivityPrice = twiceActivityPrice;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public BigDecimal getVipOneStudentTwelveCourseOriginalPriceWithNewUser() {
        return vipOneStudentTwelveCourseOriginalPriceWithNewUser;
    }

    public void setVipOneStudentTwelveCourseOriginalPriceWithNewUser(BigDecimal vipOneStudentTwelveCourseOriginalPriceWithNewUser) {
        this.vipOneStudentTwelveCourseOriginalPriceWithNewUser = vipOneStudentTwelveCourseOriginalPriceWithNewUser;
    }

    public BigDecimal getVipOneStudentTwelveCourseActivityPriceWithNewUser() {
        return vipOneStudentTwelveCourseActivityPriceWithNewUser;
    }

    public void setVipOneStudentTwelveCourseActivityPriceWithNewUser(BigDecimal vipOneStudentTwelveCourseActivityPriceWithNewUser) {
        this.vipOneStudentTwelveCourseActivityPriceWithNewUser = vipOneStudentTwelveCourseActivityPriceWithNewUser;
    }

    public BigDecimal getVipOneStudentTwelveCourseOriginalPriceWithOldUser() {
        return vipOneStudentTwelveCourseOriginalPriceWithOldUser;
    }

    public void setVipOneStudentTwelveCourseOriginalPriceWithOldUser(BigDecimal vipOneStudentTwelveCourseOriginalPriceWithOldUser) {
        this.vipOneStudentTwelveCourseOriginalPriceWithOldUser = vipOneStudentTwelveCourseOriginalPriceWithOldUser;
    }

    public BigDecimal getVipOneStudentTwelveCourseActivityPriceWithOldUser() {
        return vipOneStudentTwelveCourseActivityPriceWithOldUser;
    }

    public void setVipOneStudentTwelveCourseActivityPriceWithOldUser(BigDecimal vipOneStudentTwelveCourseActivityPriceWithOldUser) {
        this.vipOneStudentTwelveCourseActivityPriceWithOldUser = vipOneStudentTwelveCourseActivityPriceWithOldUser;
    }

    public BigDecimal getHighOnlineTenCourseOriginalPriceWithNewUser() {
        return highOnlineTenCourseOriginalPriceWithNewUser;
    }

    public void setHighOnlineTenCourseOriginalPriceWithNewUser(BigDecimal highOnlineTenCourseOriginalPriceWithNewUser) {
        this.highOnlineTenCourseOriginalPriceWithNewUser = highOnlineTenCourseOriginalPriceWithNewUser;
    }

    public BigDecimal getHighOnlineTenCourseActivityPriceWithNewUser() {
        return highOnlineTenCourseActivityPriceWithNewUser;
    }

    public void setHighOnlineTenCourseActivityPriceWithNewUser(BigDecimal highOnlineTenCourseActivityPriceWithNewUser) {
        this.highOnlineTenCourseActivityPriceWithNewUser = highOnlineTenCourseActivityPriceWithNewUser;
    }

    public BigDecimal getHighOnlineTenCourseOriginalPriceWithOldUser() {
        return highOnlineTenCourseOriginalPriceWithOldUser;
    }

    public void setHighOnlineTenCourseOriginalPriceWithOldUser(BigDecimal highOnlineTenCourseOriginalPriceWithOldUser) {
        this.highOnlineTenCourseOriginalPriceWithOldUser = highOnlineTenCourseOriginalPriceWithOldUser;
    }

    public BigDecimal getHighOnlineTenCourseActivityPriceWithOldUser() {
        return highOnlineTenCourseActivityPriceWithOldUser;
    }

    public void setHighOnlineTenCourseActivityPriceWithOldUser(BigDecimal highOnlineTenCourseActivityPriceWithOldUser) {
        this.highOnlineTenCourseActivityPriceWithOldUser = highOnlineTenCourseActivityPriceWithOldUser;
    }
}
